.\" $NetBSD: boot.8,v 1.2 2006/03/23 19:54:43 wiz Exp $
.\" Copyright (c) 2006 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Tim Rightnour
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd March 23, 2006
.Dt BOOT 8 prep
.Os
.Sh NAME
.Nm boot
.Nd system bootstrapping procedures
.Sh SYNOPSIS
.Nm boot
.Sh DESCRIPTION
.Ss Power fail and crash recovery
Normally, the system will reboot itself at power-up or after crashes.
An automatic consistency check of the file systems will be performed
as described in
.Xr fsck 8 ,
and unless this fails, the system will resume multi-user operations.
.Ss Cold starts
The prep architecture does not allow the direct booting of a kernel
from the hard drive.
Instead it requires a complete boot image to be loaded.
This boot image contains a
.Nx
kernel, which will then provide access to the devices on the machine.
The image can be placed on any device that the firmware considers
a bootable device.
Usually this is either a SCSI disk, tape, CD-ROM, or floppy drive.
.Ss Boot program options
The prep architecture and bootloader does not support any option
parsing at the boot prompt.
.Ss Boot partition
The prep port requires a special boot partition on the primary boot
device in order to load the kernel.
This partition consists of a PC-style i386 partition label, a small
bootloader, and a kernel image.
The prep firmware looks for a partition of type 0x41 (65) and
expects the bootloader, immediately followed by the kernel, to be
there.
The
.Xr mkbootimage 8
command needs to be used to generate this image.
.Sh FILES
.Bl -tag -width /usr/mdec/boot_com0xx -compact
.It Pa /netbsd
system code
.It Pa /usr/mdec/boot
system bootstrap
.It Pa /usr/mdec/boot_com0
system bootstrap with serial console
.El
.Sh SEE ALSO
.Xr disklabel 8 ,
.Xr fsck 8 ,
.Xr halt 8 ,
.Xr init 8 ,
.Xr installboot 8 ,
.Xr mkbootimage 8 ,
.Xr rc 8 ,
.Xr shutdown 8 ,
.Xr syslogd 8
